apiVersion: v1
kind: Service
metadata:
  name: {{ .Values.service.name }}
  labels:
    {{- include "cilium-remote-service.labels" . | nindent 4 }}
  annotations:
    {{- toYaml .Values.service.annotations | nindent 4 }}
spec:
  {{- toYaml .Values.service.spec | nindent 2 }}
  selector:
    name: {{ .Values.service.name }}
---
{{- if .Values.ingress.enabled -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ .Values.service.name }}-external
  labels:
    {{- include "cilium-remote-service.labels" . | nindent 4 }}
spec:
  type: ExternalName
  externalName: {{ .Values.service.name }}.{{ .Release.Namespace }}.svc.cluster.local
{{- end }}
